{ config, pkgs, ... }:

{
  # Home Manager needs a bit of information about you and the
  # paths it should manage.
  home.username = "lanxu";
  home.homeDirectory = "/home/lanxu";

  # Packages that should be installed to the user profile.
  home.packages = with pkgs; [
    # General
    fortune

    # Browsers
    firefox
    librewolf-wayland

    # Terminal
    kitty

    # Chat
    element-desktop tdesktop

    # File management
    lf

    # Music
    cantata

    # Password management
    keepassxc

    # Cloud
    nextcloud-client

    # Support
    gnome.adwaita-icon-theme
    gnomeExtensions.appindicator

    # WM
    sway
    waybar
  ];

  # nixpkgs.config.allowNonFree = true;
  programs.git = {
    enable = true;
    userName = "lanxu";
    userEmail = "lanxu@posteo.net";
  };

  services.mpd = {
    enable = true;
    musicDirectory = "${config.home.homeDirectory}/Musiikki";
    network.startWhenNeeded = true;
    extraConfig = ''
      audio_output {
      type "pipewire"
      name "My PipeWire Output"
    }
    '';
  };

  # This value determines the Home Manager release that your
  # configuration is compatible with. This helps avoid breakage
  # when a new Home Manager release introduces backwards
  # incompatible changes.
  #
  # You can update Home Manager without changing this value. See
  # the Home Manager release notes for a list of state version
  # changes in each release.
  home.stateVersion = "22.05";

  # Let Home Manager install and manage itself.
  programs.home-manager.enable = true;
}
